Content
Generate response answer stream
deprecated
Generates a response answer based on a query and collections from the Search API.
POST
/
ai
/
v1
/
kallm
/
generate
/
answers
/
stream
Generate response answer stream
curl --request POST \
--url https://platform.ai.gloo.com/ai/v1/kallm/generate/answers/stream \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compiledPrompt": "<string>",
"forceGenerate": false
}
'import requests
url = "https://platform.ai.gloo.com/ai/v1/kallm/generate/answers/stream"
payload = {
"compiledPrompt": "<string>",
"forceGenerate": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({compiledPrompt: '<string>', forceGenerate: false})
};
fetch('https://platform.ai.gloo.com/ai/v1/kallm/generate/answers/stream', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Deprecated Endpoint: This endpoint is deprecated and no longer supported.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successfully generated response answer
The response is of type string.
⌘I
Generate response answer stream

